# Cross Connect Server

This module allows other odoo instances, where the `cross_connect_client` module is installed and configured, users to connect directly on this odoo instance.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

First of all after installing the module, you need to configure a fastapi endpoint.

In order to do that, you need to go to the menu `FastAPI > FastAPI Endpoints` and create a new endpoint for the client to connect to.

Fill the fields with the endpoint’s information :

- App: `cross_connect`
- Cross Connect Allowed Groups: The groups that will be allowed to be selected for the clients groups.

Then for each client, you will have to add an entry in the `Cross Connect Clients` table.

An api key will be automatically generated for each client, this is the key that you will have to provide to the client in order for them to connect to the server. You will also have to choose the groups that this client will be able to give to its users.

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Akretion

### Contributors

- Florian Mounier florian.mounier@akretion.com

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/server-auth project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.